import Image from 'next/image';
import styles from '../styles/components/Menu.module.css';
import Link from 'next/link';
import logo from "../public/img/logoblue.png";
import ThemeToggle from './themetoggle';

export default function Menu() {
    return (
        <menu className={styles.menu}>
            <div className="container">
                <Link href="/">
                    <Image src={logo} alt="dubbelnull logo" style={{height: "2em", width: "2em"}} />
                    <h2>{process.env.NEXT_PUBLIC_NAME?.toUpperCase()}</h2>
                </Link>

                <div>
                    <Link href="/about">🏢 About</Link>
                    <Link href="/showcase">✨ Showcase</Link>
                    {/* <Link href="/services">Services</Link> */}
                    <Link href="/contact">📮 Contact</Link>
                    <ThemeToggle />
                </div>
            </div>
        </menu>
    )
}