import '../styles/globals.css'
import type { AppProps } from 'next/app'
import SiteLayout from '../layouts/global'
import Menu from '../components/menu'
import Footer from '../components/footer'

import '@fortawesome/fontawesome-svg-core/styles.css';
import { config } from '@fortawesome/fontawesome-svg-core';
config.autoAddCss = false; /* eslint-disable import/first */

function App({ Component, pageProps }: AppProps) {
  return (
    <SiteLayout>
      <Menu />
      <Component {...pageProps}></Component>
      <Footer />
    </SiteLayout>
  )
}
export default App
