import Head from 'next/head';
import Image from 'next/image';
import styles from '../styles/Contact.module.css';
import Link from 'next/link';
import StyledButton from '../components/elements/styledbutton';
import SmallStyledButton from '../components/elements/smallstyledbutton';

import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faEnvelope } from '@fortawesome/free-solid-svg-icons'
import { faTwitter } from '@fortawesome/free-brands-svg-icons'
import { faDiscord } from '@fortawesome/free-brands-svg-icons'
import { faPhoneSlash } from '@fortawesome/free-solid-svg-icons'

export default function Contact() {
    return (
        <div className={"page " + styles.contact}>
            <Head>
                <title>{process.env.NEXT_PUBLIC_NAME} | Contact</title>
            </Head>

            <section className="container">
                <article className="content">
                    <style jsx>{`
                        section {
                            display: grid;
                            grid-auto-flow: row;
                            grid-template-columns: auto auto;
                        }
                    `}</style>

                    <section style={{display: "flex", flexDirection: "column", alignItems: "center", gap: "var(--padding)", padding: "var(--padding)" }}>
                        <h2 style={{margin: "unset"}}>{"📬 Want a quote for your project or have a question?"}</h2>

                        <div style={{display: "flex", gap: "var(--padding)", justifyContent: "center", alignItems: "center"}}>
                            <StyledButton type="highlight" href="mailto:contact@dubbelnull.com"><FontAwesomeIcon icon={faEnvelope}></FontAwesomeIcon> Send us an email</StyledButton>
                            or
                            <StyledButton type="highlight" href="https://discord.gg/976Xskh8Dd" rel="noreferrer" target="_blank"><FontAwesomeIcon icon={faDiscord}></FontAwesomeIcon> Message us on Discord</StyledButton>
                            {/* <StyledButton href="https://twitter.com/DubbelNull" rel="noreferrer" target="_blank"><FontAwesomeIcon icon={faTwitter}></FontAwesomeIcon> DM us on Twitter</StyledButton> */}
                        </div>

                        <p>We typically respond within a day. We can assist you in both English and Dutch.</p>
                    </section>

                </article>
            </section>
        </div>
    )
}